Name:           procreate-kde
Version:        0.1.0
Release:        2
License:        GPLv3
Summary:        These are plugins for the KDE Plasma Desktop, allowing you to view Procreate files.
Url:            https://invent.kde.org/redstrate/procreate-kde
Source0:        https://invent.kde.org/redstrate/procreate-kde/-/archive/master/procreate-kde-master.tar.gz

BuildRequires:  cmake
BuildRequires:  extra-cmake-modules
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  git

BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6Archive)

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)

%description
These are plugins for the KDE Plasma Desktop, allowing you to view Procreate files.

%prep
%autosetup -c -p1

%build
cd procreate-kde-master
%cmake_kf6
%cmake_build

%install
cd procreate-kde-master
%cmake_install


%files
%doc procreate-kde-master/README.md

%{_kf6_qtplugindir}/imageformats/procreateplugin.so
%{_kf6_qtplugindir}/kf6/thumbcreator/procreatethumbnail.so
%{_kf6_datadir}/mime/packages/x-procreate.xml

%changelog
%autochangelog
